﻿<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="ShareItEdit.ascx.cs" Inherits="FV.ShareIt.Units.ShareItEdit" %>
<div class="shareit" id="<%=PropertyName %>">
<h3><%= Translate("/shareit/socialmediasites") %></h3>
<asp:Repeater runat="server" ID="rptSocialMediaSites" OnItemDataBound="rptSocialMediaSites_ItemDataBound">
    <HeaderTemplate><ul class="socialmediasites socialmediasitesconnection"></HeaderTemplate>
    <ItemTemplate><li><asp:HyperLink runat="server" ID="lnkSocialMediaSite" /></li></ItemTemplate>
    <FooterTemplate></ul></FooterTemplate>
</asp:Repeater>

<h3><%= Translate("/shareit/activesocialmediasites") %></h3>
<ul class="activesocialmediasites socialmediasitesconnection">
<asp:Repeater runat="server" ID="rptActiveSocialMediaSites" OnItemDataBound="rptActiveSocialMediaSites_ItemDataBound">
    <ItemTemplate><li><asp:HyperLink runat="server" ID="lnkSocialMediaSite" /></li></ItemTemplate>
</asp:Repeater>
</ul>
<asp:HiddenField runat="server" ID="hdfActiveSocialMediaSites" />
<p><asp:Label runat="server" AssociatedControlID="txtIconCount"><%= Translate("/shareit/numberoficons")%></asp:Label> <asp:TextBox runat="server" ID="txtIconCount" CssClass="icon-count" /></p>
</div>

<link href="<%= ResolveUrl("~/FV.ShareIt/Styles/styles.css") %>" rel="stylesheet" type="text/css" />

<script type="text/javascript">
//<![CDATA[ 
var ShareIt<%= PropertyName %> = function() {
    $(function() {
        $("#<%=PropertyName %> .socialmediasites, #<%=PropertyName %> .activesocialmediasites").sortable({
        connectWith: '.socialmediasitesconnection',
            cursor: 'move',
            update: function() { updateHiddenField(); }
        }).disableSelection();
    });
    
    function updateHiddenField() {
        var hiddenFieldId = '#<%= hdfActiveSocialMediaSites.ClientID %>';
        var values = ""; 
        $('#<%=PropertyName %> .activesocialmediasites a').each(function() {
                values += $(this).text() + ',';
        });
        
        $(hiddenFieldId).val(values);
    }
}

ShareIt<%= PropertyName %>();
//]]> 
</script>
